跳转到内容

VibeVoice 7B

集成

模型 id vibevoice/7b
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/vibevoice/7b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "script": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "speakers": [
      {
        "preset": "Frank [EN]"
      },
      {
        "preset": "Carter [EN]"
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: ≈$0.04 40 API 积分 在此页面运行

获取 API 密钥
Microsoft 文本转语音 #text-to-speech#multi-speaker#podcast

更大型的 VibeVoice 多说话人对话模型,支持最多 30000 个字符的脚本

Microsoft · 音频

你的第一个结果会显示在这里

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存,也可免费保存 7 天。

构建请求

控件根据模型架构生成。修改控件时,代码和价格会同步更新。

•必填 88 / 30000

语音输入脚本,可选用 'Speaker X:' 标签区分对话中的说话人。

•必填

说话人会根据脚本或提供的语音样本自动推断;提供列表可明确指定说话人。

高级 cfg_scale · seed · enable_safety_checker
默认 1.3

CFG(Classifier-Free Guidance)强度决定生成结果遵循文本的程度,设置值越高,遵循程度越强。

使生成结果可复现的随机种子。

POST /run/vibevoice/7b?wait=20 报价 → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/vibevoice/7b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "script": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "speakers": [
      {
        "preset": "Frank [EN]"
      },
      {
        "preset": "Carter [EN]"
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 VibeVoice 7B

将最多 30000 个字符的 `script` 转换为语音,对话使用“Speaker X:”前缀,必填的 `speakers` 列表定义语音。`cfg_scale` 范围为 1 到 2,`seed` 用于生成可复现的输出。这是该系列的 7B 版本,文本限制比 1.5B 模型更短。

参数

名称类型 默认值允许值 描述
script必填
类型string
≤ 30,000 个字符
语音输入脚本,可选用 'Speaker X:' 标签区分对话中的说话人。
speakers必填
类型object[]
说话人会根据脚本或提供的语音样本自动推断;提供列表可明确指定说话人。
speakers[].preset可选
类型enum
默认值Alice [EN]
Alice [EN]Carter [EN]Frank [EN]Mary [EN] (Background Music)Maya [EN]Anchen [ZH] (Background Music)Bowen [ZH]Xinran [ZH]
没有 `audio_url` 的说话人的备用音色预设;提供该音频样本时,样本优先于预设。
speakers[].audio_url可选
类型url · audio
语音样本音频文件 URL;提供后会覆盖 `preset`。
seed可选
类型integer | null
使生成结果可复现的随机种子。
cfg_scale可选
类型number
默认值1.3
1 – 2
CFG(Classifier-Free Guidance)强度决定生成结果遵循文本的程度,设置值越高,遵循程度越强。
enable_safety_checker可选
类型boolean
默认值true
经过授权的调用方可将其设置为 false,以放宽内容审核。
必填

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "vibevoice/7b",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "script": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "speakers": [
      {
        "preset": "Frank [EN]"
      },
      {
        "preset": "Carter [EN]"
      }
    ]
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "duration": 5,
    "sample_rate": 24000,
    "generation_time": 5.6,
    "rtf": 0.53
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
文件由你选择每个 outputs[].url 都是我们存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
所有模型的结构一致图像、视频和音频的字段均为 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
audio
object {url, content_type, file_name, file_size}包含合成语音的音频文件。
duration
number音频输出长度,以秒为单位。
sample_rate
integer音频输出的采样率。
generation_time
number音频生成时间,以秒为单位。
rtf
number实时系数,计算方式为 generation_time 除以 audio_duration;数值越小表示性能越好。

更多模型:文本转语音

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh-CN/developers/models/vibevoice/7b.md. 所有模型和指南: https://doitong.com/developers/llms.txt